POST /api/v3/place/placetype

Create a place type

CreatePlaceTypeV3 Permissions: BuildingsAndOrganizations (Edit)
New place types will not be considered structures

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

PlaceTypeRequest
Property Description Type
placeTypeInfo The place type info Must be between 0 and 32 characters string
Example Request Body application/json
{  "placeTypeInfo": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

PlaceTypeResponse
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
Example Response application/json
{  "icon": {    "code": "string",    "color": "string"
  },  "isSystemPlaceType": false,  "placeEntityType": {    "placeEntityTypeId": 1,    "placeEntityTypeInfo": "string"
  },  "placeTypeCode": "string",  "placeTypeId": 1,  "placeTypeInfo": "string",  "structure": false
}